org.apache.sysds.runtime.matrix.operators

## Class AggregateUnaryOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.AggregateUnaryOperator

All Implemented Interfaces:
  Serializable

    public class AggregateUnaryOperator
    extends Operator

See Also:
  Serialized Form

### Field Summary

Fields
`AggregateOperator` `aggOp`
`IndexFunction` `indexFn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
Constructor and Description
`AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop)`
`AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop, int numThreads)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumThreads()`
`boolean` `isColAggregate()`
`boolean` `isRowAggregate()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### aggOp

    public final AggregateOperator aggOp

#### indexFn

    public final IndexFunction indexFn

### Constructor Detail

#### AggregateUnaryOperator

    public AggregateUnaryOperator(AggregateOperator aop,
                                  IndexFunction iop)

#### AggregateUnaryOperator

    public AggregateUnaryOperator(AggregateOperator aop,
                                  IndexFunction iop,
                                  int numThreads)

### Method Detail

#### getNumThreads

    public int getNumThreads()

#### isRowAggregate

    public boolean isRowAggregate()

#### isColAggregate

    public boolean isColAggregate()